﻿dlcTitle = {}

local modDir = g_currentModDirectory;
local modDescFilename = modDir.."modDesc.xml";

addModEventListener(dlcTitle);

function dlcTitle:loadMap(name)
	local modDesc = loadXMLFile("modDesc1",modDescFilename);
	if modDesc ~= nil then
		local modTitle = Utils.getNoNil(getXMLString(modDesc,"modDesc.dlcTitle"),"");
		i = 0;
		while true do
			local key = string.format("modDesc.storeItems.storeItem(%d)#xmlFilename",i);
			if not hasXMLProperty(modDesc,key) then break; end;
			local vehiclePath = Utils.getNoNil(getXMLString(modDesc,key),"");
			vehiclePath = modDir..vehiclePath;
			local storeItem = StoreItemsUtil.storeItemsByXMLFilename[vehiclePath:lower()];
			if storeItem ~= nil then
				storeItem.isMod = false;
				if g_i18n:hasText(modTitle) then
					storeItem.dlcTitle = g_i18n:getText(modTitle);
				else
					storeItem.dlcTitle = modTitle;
				end;
			end;
			i = i + 1;
		end;
	end;
end;

function dlcTitle:deleteMap() end;
function dlcTitle:update(dt) end;
function dlcTitle:draw() end;
function dlcTitle:mouseEvent(posX, posY, isDown, isUp, button) end;
function dlcTitle:keyEvent(unicode, sym, modifier, isDown) end;